// Type definitions based on the API specs
export interface CandidateSearchResult {
  candidatos: Candidate[];
}

export interface Candidate {
  idCandidato: string;
  nome: string;
  cpf: string;
  dataNascimento: string;
  email: string;
  estadoCivil: string;
  sexo: string;
  ocupacao: string;
  fotoUrl: string;
}

export interface CandidateDetails extends Candidate {
  eleicoes: Election[];
}

export interface Election {
  sqCandidato: string;
  tipoEleicao: string;
  cargo: string;
  ano: number;
  siglaUF: string;
  nomeUE: string;
  nrCandidato: string;
  nomeCandidato: string;
  resultado: string;
  partido: Partido;
}

export interface CandidateAssets {
  bens: Asset[];
}

export interface Asset {
  idCandidato: string;
  ano: number;
  tipoBem: string;
  descricao: string;
  valor: number;
}

export interface CandidateRedesSociais {
  redesSociais: RedeSocial[];
}

export interface RedeSocial {
  idCandidato: string;
  rede: "Facebook" | "Instagram" | "X/Twitter" | "TikTok" | "YouTube" | "LinkedIn" | "WhatsApp" | "Threads" | "Telegram" | "Kwai" | "Spotify" | "Outros";
  siglaUF: string;
  link: string;
  ano: number;
}

export interface PlatformStats {
  totalCandidatos: number;
  totalBemCandidatos: number;
  totalValorBemCandidatos: number;
  totalRedesSociais: number;
  totalEleicoes: number;
}

export interface CpfRevealResult {
    cpf: string;
}

export interface Partido {
  nome: string;
  sigla: string;
  numero: number;
}