import React from 'react';

interface NavButtonProps {
  href: string;
  children: React.ReactNode;
  className?: string;
}

const NavButton: React.FC<NavButtonProps> = ({ href, children, className = '' }) => {
  return (
    <a
      href={href}
      className={`
        inline-block px-4 py-2 
        rounded-full 
        backdrop-blur-sm 
        bg-gray-800/30 
        border border-gray-600/50 
        text-gray-100 
        hover:bg-gray-700/40 
        hover:border-gray-500/60 
        hover:text-white 
        transition-all duration-300 ease-in-out 
        cursor-pointer
        ${className}
      `.trim()}
    >
      {children}
    </a>
  );
};

export default NavButton;
